Create a room
curl --request POST \
--url https://signsealship.com/api/rooms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "1428 Maple St — Refinance",
"reference": "TC-88412"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '1428 Maple St — Refinance', reference: 'TC-88412'})
};
fetch('https://signsealship.com/api/rooms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://signsealship.com/api/rooms"
payload = {
"name": "1428 Maple St — Refinance",
"reference": "TC-88412"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"roomCode": "<string>",
"roomUrl": "<string>",
"name": "<string>",
"reference": "<string>",
"status": "open",
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "A valid partner API key is required."
}Endpoints
Create a room
Create a Verified Closing Room. Enforces your tier’s active-room quota (trial and PartnerLink: 5 open rooms; ProOffice: 25; ClosingDesk: unlimited).
POST
/
api
/
rooms
Create a room
curl --request POST \
--url https://signsealship.com/api/rooms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "1428 Maple St — Refinance",
"reference": "TC-88412"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '1428 Maple St — Refinance', reference: 'TC-88412'})
};
fetch('https://signsealship.com/api/rooms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://signsealship.com/api/rooms"
payload = {
"name": "1428 Maple St — Refinance",
"reference": "TC-88412"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"roomCode": "<string>",
"roomUrl": "<string>",
"name": "<string>",
"reference": "<string>",
"status": "open",
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "A valid partner API key is required."
}Authorizations
Partner API key. Send as Authorization: Bearer sss_pk_....
Body
application/json